com.tibbo.aggregate.common.sql

## Class SqlTableHierarchyLink

- java.lang.Object
- - com.tibbo.aggregate.common.sql.SqlTableHierarchyLink

-     public class SqlTableHierarchyLink
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlTableHierarchyLink(java.lang.String childTable, java.lang.String parentTable)`
    `SqlTableHierarchyLink(java.lang.String childTable, java.lang.String parentTable, java.util.List<java.lang.String> childForeignColumns, java.util.List<java.lang.String> parentPrimaryColumns)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLink(java.lang.String childForeignColumn, java.lang.String parentPrimaryColumn)`
    `java.util.List<java.lang.String>` | `getChildForeignColumns()`
    `java.lang.String` | `getChildTable()`
    `java.lang.String` | `getForeignColumnByPrimaryColumn(java.lang.String parentPrimaryColumn)`
    `java.util.List<java.lang.String>` | `getParentPrimaryColumns()`
    `java.lang.String` | `getParentTable()`
    `java.lang.String` | `getPrimaryColumnByForeignColumn(java.lang.String childForeignColumn)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlTableHierarchyLink

          public SqlTableHierarchyLink(java.lang.String childTable,
                                       java.lang.String parentTable)

    - #### SqlTableHierarchyLink

          public SqlTableHierarchyLink(java.lang.String childTable,
                                       java.lang.String parentTable,
                                       java.util.List<java.lang.String> childForeignColumns,
                                       java.util.List<java.lang.String> parentPrimaryColumns)

  - ### Method Detail

    - #### getParentPrimaryColumns

          public java.util.List<java.lang.String> getParentPrimaryColumns()

    - #### getChildForeignColumns

          public java.util.List<java.lang.String> getChildForeignColumns()

    - #### getChildTable

          public java.lang.String getChildTable()

    - #### getParentTable

          public java.lang.String getParentTable()

    - #### addLink

          public void addLink(java.lang.String childForeignColumn,
                              java.lang.String parentPrimaryColumn)

    - #### getPrimaryColumnByForeignColumn

          public java.lang.String getPrimaryColumnByForeignColumn(java.lang.String childForeignColumn)

    - #### getForeignColumnByPrimaryColumn

          public java.lang.String getForeignColumnByPrimaryColumn(java.lang.String parentPrimaryColumn)